D4Science Infrastructure - Task #11005

Add cmems-importer-se-plugin to smart-executor on node17.d4science.org
Jan 23, 2018 10:08 AM - Luca Frosini

Status: Closed Start date: Jan 23, 2018
Priority: High Due date:

Assignee: Paolo Fabriani % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: Resource Provisioning

Infrastructure: Development

Description

Related issues:
Related to D4Science Infrastructure - VM Creation #11003: SmartGears node for... Closed Jan 22, 2018

History

#1 - Jan 23, 2018 10:17 AM - Luca Frosini

- Assignee changed from Luca Frosini to _InfraScience Systems Engineer

| already created the playbook for cmems-importer-se-plugin which has to be deployed together with oscar-importer-se-plugin on
node17.d4science.org.

Please note that cmems-iporter-se-plugin requirer system lib "nco - Command-line operators to analyze netCDF files"

Before running the playbook tomcat didn't want to start. | decided to clean the home and run the playbook for oscar-importer-se-plugin first.
the playbook terminated successfully but the plugin was not present on smart-executor lib folder, moreover tomcat didn't start and no logs are
produced.

| also tried to start tomcat manually with the same result.

The same behavior with cmems-importer-se-plugin.

#2 - Jan 23, 2018 10:18 AM - Luca Frosini
- Priority changed from Normal to High

#3 - Jan 23, 2018 10:19 AM - Luca Frosini

- Related to VM Creation #11003: SmartGears node for cmems-importer-service added
#4 - Jan 23, 2018 12:05 PM - Andrea Dell'Amico
Luca Frosini wrote:

Before running the playbook tomcat didn't want to start.

Well:
# service tomcat-instance-9000 start

* Starting Tomcat servlet engine tomcat-instance-9000
start-stop-daemon: unable to stat /usr/lib/jvm/java-8-openjdk-amd64/bin/java (No such file or directory)

It seems that somehow you used the accounting_service playbook variables to provide that node. nginx is also configured to serve
accounting-service.

#5 - Jan 23, 2018 12:16 PM - Luca Frosini
I launched playbook with this commands:

$ ./run.sh smartgears-node.yml -i inventory/hosts.dev -1 oscar_importer_se_plugin_dev -e "gcube_admin_token=XX
XXXX"

$ ./run.sh smartgears—-node.yml —-i inventory/hosts.dev -1 cmems_importer_se_plugin_dev —-e "gcube_admin_token=XX
XXXX"

Anyway it is sure that | made some mistake :)

#6 - Jan 23, 2018 02:18 PM - Andrea Dell'Amico

There are no scopes defined for this service. @luca.frosini@isti.cnr.it can you provide them?

#7 - Jan 23, 2018 02:41 PM - Luca Frosini

/gcube

/gcube/devsec
/gcube/devsec/devVRE
/gcube/devNext
/gcube/devNext/NextNext

#8 - Jan 23, 2018 06:18 PM - Andrea Dell'Amico

| see a jar and not a jar -with-dependencies here:

HOT/
Is it correct?

#9 - Jan 23, 2018 06:28 PM - Luca Frosini

It is correct only if the plugin does not have any extra dependencies. Also in this case, i think it is better using jar-with-dependencies (or better an
uber-jar) to support future version with extra dependencies. @paolo.fabriani@eng.it can you provide the jar-with-dependecies or better the uber-jar.
See #10089 to check how to create the uber-jar.

Please advise us if you provide uber-jar or jar-with-dependecies to properly configure the playbook.

#10 - Jan 24, 2018 11:00 AM - Andrea Dell'Amico

I just changed the playbook so that it will install and configure openjdk for the time being.
#11 - Jan 24, 2018 04:05 PM - Paolo Fabriani

Just realized | haven't replied to this, sorry:

Andrea Dell'’Amico wrote:

| see a jar and not a Jar -with-dependencies here:

NAP HOT/
Is it correct?

No, it's not correct.

I've now upgraded the plugin to produce a the uber-jar; You should find it on nexus.

#12 - Jan 25, 2018 03:50 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

| modified the playbook to handle the uber jar correctly. Please test that both the smartexecutor plugins are working.

@luca.frosini@isti.cnr.it you can use that playbook as a reference to adjust the other ones after you transform them in uber jars. Note the meta and
vars directories.

#13 - Jan 25, 2018 04:10 PM - Paolo Fabriani

Thanks Andrea. I'll let you know asap.

#14 - Jan 26, 2018 10:55 AM - Luca Frosini

@andrea.dellamico@isti.cnr.it thanks a lot, now | have an example to migrate the rest of smart-executor plugins see #10443.

@paolo.fabriani@eng.it please close th ticket as soon as you test the plugin properly works.

#15 - Feb 13, 2018 10:22 AM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Paolo Fabriani
http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/org/gcube/dataanalysis/cmems-importer-se-plugin/1.0.0-SNAPSHOT/
http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/org/gcube/dataanalysis/cmems-importer-se-plugin/1.0.0-SNAPSHOT/
http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/org/gcube/dataanalysis/cmems-importer-se-plugin/1.0.0-SNAPSHOT/
http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-snapshots/org/gcube/dataanalysis/cmems-importer-se-plugin/1.0.0-SNAPSHOT/

#16 - Feb 19, 2018 12:59 PM - Paolo Fabriani
- Status changed from Feedback to Closed

The plugin works fine.
Thank you.
